# Class MetalTabbedPaneUI.TabbedPaneLayout

java.lang.Object
javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `MetalTabbedPaneUI`

public class MetalTabbedPaneUI.TabbedPaneLayout extends BasicTabbedPaneUI.TabbedPaneLayout
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalTabbedPaneUI`.

## Constructor Summary

Constructors
Constructor
Description
`TabbedPaneLayout()`
Constructs `TabbedPaneLayout`.

## Method Summary

### Methods declared in class BasicTabbedPaneUI.TabbedPaneLayout

`addLayoutComponent, calculateLayoutInfo, calculateSize, calculateTabRects, layoutContainer, minimumLayoutSize, normalizeTabRuns, padSelectedTab, padTabRun, preferredLayoutSize, preferredTabAreaHeight, preferredTabAreaWidth, removeLayoutComponent, rotateTabRuns`
Modifier and Type
Method
Description
`void`
`addLayoutComponent(String name, Component comp)`
If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
`void`
`calculateLayoutInfo()`
Calculates the layout info.
`protected Dimension`
`calculateSize(boolean minimum)`
Returns the calculated size.
`protected void`
`calculateTabRects(int tabPlacement, int tabCount)`
Calculate the tab rectangles.
`void`
`layoutContainer(Container parent)`
Lays out the specified container.
`Dimension`
`minimumLayoutSize(Container parent)`
Calculates the minimum size dimensions for the specified container, given the components it contains.
`protected void`
`normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
Normalizes the tab runs.
`protected void`
`padSelectedTab(int tabPlacement, int selectedIndex)`
Pads selected tab.
`protected void`
`padTabRun(int tabPlacement, int start, int end, int max)`
Pads the tab run.
`Dimension`
`preferredLayoutSize(Container parent)`
Calculates the preferred size dimensions for the specified container, given the components it contains.
`protected int`
`preferredTabAreaHeight(int tabPlacement, int width)`
Returns the preferred tab area height.
`protected int`
`preferredTabAreaWidth(int tabPlacement, int height)`
Returns the preferred tab area width.
`void`
`removeLayoutComponent(Component comp)`
Removes the specified component from the layout.
`protected void`
`rotateTabRuns(int tabPlacement, int selectedRun)`
Rotates the run-index array so that the selected run is run[0].

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### TabbedPaneLayout

public TabbedPaneLayout()
Constructs `TabbedPaneLayout`.